Bug 112381 - personalize "find in files" template regular expressions
Summary: personalize "find in files" template regular expressions
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Unclassified
Component: grepview (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 1.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-10 20:19 UTC by greatbunzinni
Modified: 2013-03-31 01:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description greatbunzinni 2005-09-10 20:19:38 UTC
Version:           3.2.1 (using KDE KDE 3.4.2)

It would be nice if KDevelop let the user customize the template regular expressions it has for the "find in files" feature. IMHO It wouldn't need a UI or anything like that. It would be more than enough if KDevelop stored the templates in a small XML file that could be accessed by the user.
Comment 1 Milian Wolff 2011-03-29 19:50:01 UTC
Git commit db514027279183c8c9245e5699df661b5f9d812e by Milian Wolff.
Committed on 29/03/2011 at 19:52.
Pushed by mwolff into branch 'master'.

use combo box instead of line edit for patterns in find in files dialog

This patch replaces the "line edit" in the "find in files" dialog by a KComboBox,
 so that all used patterns are saved between sessions, not only the last used one.

Thanks for the patch go to Steffen Ohrendorf

CCBUG: 112381
REVIEW: 100877

M  +20   -8    plugins/grepview/grepdialog.cpp     
M  +2    -5    plugins/grepview/grepwidget.ui     

http://commits.kde.org/kdevplatform/db514027279183c8c9245e5699df661b5f9d812e
Comment 2 Kevin Funk 2012-12-23 00:13:37 UTC
See last comment.